<?php
if(get_theme_mod('about_area_disable') != 'on' ){
?>
	<?php 
		if( get_theme_mod('about_areaTpadding',true) ) {
			$about_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('about_areaTpadding')).';';
		}
		if( get_theme_mod('about_areaBpadding',true) ) {
			$about_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('about_areaBpadding')).';';
		}
		if( get_theme_mod('about_areawave',true) ) {
			$about_areawave = 'top:'.esc_attr(get_theme_mod('about_areawave')).';';
		}
	?>			
	<div class="about-area" id="about">
		<div class="container-fluid">
			<div class="about-area-bx">
				<div class="row mr-0">
			<?php
				$about_page_id = get_theme_mod('about_page');
				$experience_txt = get_theme_mod('experience_txt', '10 Years Of Experience');
				$aboutsubtitle = get_theme_mod('aboutsubtitle', 'ABOUT US');
				$abouttitle = get_theme_mod('about_title', 'Mehendi Moments, Forever Etched in Beauty');
				$abouttext = get_theme_mod('about_text', 'Nullam eget maximus nibh. Etiam pellentesque ac ante a rhoncus. Duis vel purus turpis. Donec porta orci nunc, vel vestibulum nulla feugiat et. Quisque non dolor metus. Sed sapien sem, vehicula quis urna non, pretium vehicula tortor. ');

				$aboutlist = get_theme_mod('about_list', 'Vivamus risus dolor, auctor nec auctor a, molestie vel turpis. Praesent consectetur varius ultrices. Nullam lacinia imperdiet felis, vitae accumsan lorem feugiat vitae. Nunc ut nunc suscipit, lacinia nisl non, tincidunt lectus.');
			?>
					<div class="abt-imgbx pd-0">	
						<div class="abt-imgbxinn">						
							<div class="aboutarea-img">
								<!-- <div class="sm-bx"></div> -->
								<?php 
									$about_image = get_theme_mod('about_image');
									if(!empty($about_image)){
										echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image).'" class="img-responsive secondry-bg-img abtimg" />';
									}else{
										echo '<img alt="About us" src="'.get_template_directory_uri().'/images/abotimg.jpg" class="img-responsive abtimg" />';
									}
								?>
								<div class="yearbx">
									<li>
										<div class="year">
											
											<?php echo ($experience_txt);  ?>
										</div>
									</li>
									<li>
										<div class="arro">
											<i class="fa fa-angle-right arrow1" ></i>
											<i class="fa fa-angle-right arrow2" ></i>
										</div>
									</li>
								</div>
							</div>
							<div class="clearfix"></div>
						</div>
					</div>
					<div class="abt-conbx " data-wow-duration="1s">
						<div class="abt-conbxinn " data-wow-duration="1s">
							<div class="abtsection-title">
								<h1><?php echo ($aboutsubtitle);  ?></h1>
								<h2><?php echo ($abouttitle);  ?></h2>
							</div>
							<div class="section-subtext"><p><?php echo ($abouttext);  ?></p></div>
							
							<div class="clearfix"></div>
							<?php
								$showStatic = true;
								for( $i = 1; $i < 11; $i++ ){
									$aboutus_page_id = get_theme_mod('aboutus_page_icon'.$i); 
									if(!empty($aboutus_page_id)){
										$showStatic = false;
										break;
									}
								}
							?>

							<div class="aboutus-post-wrap">
								<?php
								$cols = get_theme_mod('aboutus_npp_count', 1);
								$cols++;
								// echo '$cold: '.$cols;
								switch($cols){
									case 1:
									$colCls = 'col-md-12 col-sm-12';
									break;
									case 2:
									case 4:
									case 8:
									case 7:
									case 10:
									case 11:
									case 12:
									$colCls = 'col-md-6 col-sm-6';
									break;
									default: 
									$colCls = 'col-md-6 col-sm-6';
									break;
								}
								$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
								?>
								<div class="aboutus-post-boxes">
									<div class="row mr-0">
								<?php
								for( $i = 1; $i <= $cols; $i++ ){
								if($showStatic === false){
									
									$aboutuspg_num = get_theme_mod('aboutuspg_num'.$i, '200');
									$aboutuspg_title = get_theme_mod('aboutuspg_title'.$i, 'More than 60,000 courses');
									$aboutus_page_id = get_theme_mod('aboutus_page'.$i); 
									$aboutus_page_icon = get_theme_mod('aboutus_page_icon'.$i);
									if($aboutus_page_icon){
										
								?>
										<div class=" <?php echo $colCls;?>" >
											<div class="aboutus-single " >
												<div class="row mr-0">
													<?php if($aboutuspg_title || $aboutuspg_num){ ?>
													<div class="col-lg-4 col-md-3 pd-0">
														<div class="hi-icon">
															<!-- <img src="<//?php echo esc_url($aboutus_page_icon); ?>" class="img-responcive" /> -->
															<span class="<?php echo $aboutus_page_icon; ?>"></span> 
														</div>
													</div>
													<div class="col-lg-8 col-md-9 pd-0">
														<div class="about-area-data">
															<h3 class="inner-area-title"><?php echo $aboutuspg_num; ?></h3>
															<h4 class="inner-area-title"><?php echo $aboutuspg_title; ?></h4>
														</div>
													</div>
													<?php }?>
												</div>
												<div class="clearfix"></div>
											</div>
										</div>
									<?php								
									}
								}else{?>
										<div class="<?php echo $colCls;?>" >
											<div class="aboutus-single " >
												<div class="row mr-0">
													<div class="col-lg-4 col-md-3 pd-0">
														<div class="hi-icon">
															<span class="fa fa-users"></span>
															<!-- <img src="<//?php echo esc_url(get_template_directory_uri().'/images/abt1.jpg');?>"  /> -->
														</div>
													</div>
													<div class="col-lg-8 col-md-9 pd-0">
														<div class="about-area-data">
															<h3 class="inner-area-title">200</h3>
															<h4 class="inner-area-title">Happy Clients</h4>
														</div>
													</div>
												</div>				
												<div class="clearfix"></div>
											</div>
										</div>	
								<?php }
								}?>
									</div>
								</div>
							</div>
							<div class="section-list"><?php echo ($aboutlist);  ?></div>
	                        <?php
	                            $abtbtn_text = get_theme_mod('abtbtntext', 'Read More');
						        $abtbtnbtnlink = get_theme_mod('abtbtnbtnlink', '#');
						    ?>

	                        <?php if($abtbtn_text ){ ?>
							<div class="abt-btn">
							  	<a href="<?php echo ($abtbtnbtnlink);  ?>">
							  		<?php echo ($abtbtn_text);  ?>
							  	</a>
							</div>
	                        <?php } ?>
					
							<script type="text/javascript">
									var title = 0;
								jQuery("#about .aboutus-single").each(function(){
								  if ($(this).height() > title) { title = $(this).height(); }
								});
								jQuery("#about .aboutus-single").height(title);


								// on Resize change height

								jQuery(window).resize(function(){
								  jQuery("#about .aboutus-single").height("");
								  var title = 0;
								  jQuery("#about .aboutus-single").each(function(){
								    if ($(this).height() > title) { title = $(this).height(); }
								  });
								  jQuery("#about .aboutus-single").height(title);
								});
							</script>
							</div>
					</div>
			
					

					
					<div class="clearfix"></div>
				</div>
			</div>
		</div>
	</div>


<?php }  