<?php   
if(get_theme_mod('service_area_disable') != 'on' ){ ?>
	<?php 
		if( get_theme_mod('service_areaTpadding',true) ) {
			$service_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('service_areaTpadding')).';';
		}
		if( get_theme_mod('service_areaBpadding',true) ) {
			$service_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('service_areaBpadding')).';';
		}

	?>	
	<div class="service-area " id="service" style="<?php echo esc_attr($service_areaTpadding); ?>" "<?php echo esc_attr($service_areaBpadding); ?>" >
		<?php

        $ser_maintitle = get_theme_mod('ser_maintitle', 'Mehendi Magic Services');
        $ser_text = get_theme_mod('ser_text', 'Fusce sagittis diam viverra, pretium quam ut, cursus sapien');
         
    ?>  
	    <div class="container">
	        <div class="row justify-content-center">
	            <?php if($ser_maintitle || $ser_text){ ?> 
	            <div class="section-title">
	                <h2><?php echo ($ser_maintitle);  ?></h2>     
	                <h1><?php echo ($ser_text);  ?></h1>
	            </div>
	            <?php }?>
	        </div> 
					<div class="service-single-area" > 
						<?php
							$services_page_id = get_theme_mod('services_page');
						?>
						<div class="serbx">
							<!-- <div class="container"> -->
								<div class="row">
								<?php 
								$showStatic = true;
								$cols = get_theme_mod('service_npp_count',2);
								$cols++;
								switch($cols){
									case 1:
									$colCls = 'col-md-12 col-sm-12';
									break;
									case 2:	
									$colCls = 'col-lg-6 col-md-6 col-sm-6';
									break;
									case 3:
									case 5:
									case 6:
									case 9:
									case 11:
									case 13:
									case 15:
									$colCls = 'col-lg-4 col-md-6 col-sm-6';
									break;
									default: 
									$colCls = 'col-lg-4 col-md-6 col-sm-6';
									break;
								}
										
								for( $i = 1; $i <= $cols; $i++ ){
									$services_page_id = get_theme_mod('services_page'.$i); 
									$services_page_icon = get_theme_mod('services_page_icon'.$i);
									if($services_page_id){
										$showStatic = false;
										echo serviceShortCode($services_page_id, $isCustomizer=true, $i);
									}
								}
							if($showStatic === true){
								for( $i = 1; $i <= $cols; $i++ ){ ?>
											<div class="<?php echo $colCls;?> single-service-bx ">
													<div class="single-service ">			
														  <div class="service_inbox">
																	<div class="service-icon">
																			<a href="#">
																					<img class="img-responsive" src="<?php echo esc_url(get_template_directory_uri().'/images/service.jpg');?>" alt="services" /> 
																					<div class="ser-ovly"></div>
																					<div class="serbtn">
																							<a href="#"><span><i class="fa fa-angle-right"></i></span></a>
																					</div>
																					
																			</a>
																	</div>	
																	<div class="sertxbx">
																			<a href="#">
																					<h4 class="post-title inner-area-title wow fadeInDown">Destination Mehendi Services</h4>
																			</a>
																			<p class="section-area-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor aliqua maecenas facilisis.</p>
																			
																	</div>		
															</div>		
													</div>
											</div>
											<?php 
											}
										} ?>
									</div>
							</div>
					</div>
			</div>
	</div>
	
	<script type="text/javascript">
    var title = 0;
    jQuery(".service-area .service_inbox").each(function(){
      if ($(this).height() > title) { title = $(this).height(); }
    });
    jQuery(".service-area .service_inbox").height(title);


    // on Resize change height

    jQuery(window).resize(function(){
      jQuery(".service-area .service_inbox").height("");
      var title = 0;
      jQuery(".service-area .service_inbox").each(function(){
        if ($(this).height() > title) { title = $(this).height(); }
      });
      jQuery(".service-area .service_inbox").height(title);
    });
</script>

<?php }