<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<div id="slider_section">
    <div class="container">
    <div class="swiper-container " data-swiper-autoplay="2000">
    <!-- Additional required wrapper -->
    <div class="swiper-wrapper">
      <!-- Slides -->
        <?php
            $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
            if(!empty($pageId)){
                $args['page_id'] = absint($pageId);
            }
            $text = '';
            $query = new WP_Query($args);
            if($query->have_posts()){
                while($query->have_posts()) : $query->the_post(); 
                
                        $sliderBtnTxt = get_post_meta($post->ID, 'sliderBtnTxt', false);
                        $sliderBtnTxt = !empty($sliderBtnTxt[0]) ? $sliderBtnTxt[0] : '';

                        $pageLink = '';
                                $slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
                                //$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
                                if(!empty($slider_btn_link) && is_array($slider_btn_link)){
                                    $pageLink = esc_url(get_permalink($slider_btn_link[0]));
                                }

                $id = get_the_ID();
        ?>
       <div class="swiper-slide">
                <div class="sliderimg animated fadeInRight">
                    <div class="slidimgbx">
                        <?php 
                            $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                        echo '<img class="slide-mainimg" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                        ?>
                        <div class="s-gradient"></div>
                    </div>
                </div>
                        
                <?php
                if($showContent == 'on'){
                    ?>                   
                <div class="ht-slide-caption">  
                    <div class="ht-slide-cap-title animated fadeInRight">
                        <?php echo (get_the_title()); ?>  
                    </div>
                    <div class="slide-text animated fadeInLeft">
                        <?php echo (get_the_content()); ?>
                    </div> 
                    <div class="slider-btn animated fadeInRight">
                        <ul>
                        
                        <?php if ($pageLink) { ?>        
                        <li>
                            <div class="sliderbtn"> 
                                <div class="ht-slide-cap-descmore"> 
                                    <a class="secondry-bg" href="<?php echo $pageLink; ?>">
                                        <?php echo ($sliderBtnTxt); ?>
                                    </a>
                                </div>
                            </div>
                        </li>
                        <?php } ?>
                        <?php
                        $designation = get_post_meta($post->ID, 'designation', false);
                        $slider2_btn_url = !empty($designation[0]) ? $designation[0] : '';

                        ?>
                        </ul>
                    </div>
                </div>
        <?php }?>
                            
            </div>
                <?php
                    endwhile;
                }else{ 
                    for($i=0;$i<2;$i++){?>
            <div class="swiper-slide">
                <div class="sliderimg animated fadeInRight">
                    <div class="slidimgbx">
                        <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider.jpg">';?>
                        <div class="s-gradient"></div>
                    </div>
                </div>
                <?php if($showContent == 'on'){?>
                <div class="ht-slide-caption">
                    <div class="ht-slide-cap-title animated fadeInLeft ">Elevate tradition with our exquisite Mehendi designs</div>
                    <div class="slide-text animated fadeInRight">Pellentesque et lectus eu lorem maximus imperdiet. Suspendisse porttitor lacus eu turpis facilisis </div> 
                    <div class="slider-btn animated fadeInLeft">    
                        <ul>
                            <li>
                                <div class="sliderbtn"> 
                                    <a class="secondry-bg" href="#"><?php _e( 'Contact Now', 'luzuk-premium' ); ?>
                                    </a>
                                </div>
                            </li>   
                        </ul>
                    </div> 
                </div>
                <?php }?>   
            </div>
            <?php }
            }?>
      
     
    </div>




    <!-- If we need pagination -->
    <div class="swiper-pagination"></div>
<div class="swiperarrowbtn">
    <!-- If we need navigation buttons -->
    <div class="swiper-button-prev"> <i class="fa fa-angle-left" aria-hidden="true"></i></div>
    <div class="swiper-button-next"><i class="fa fa-angle-right" aria-hidden="true"></i></div>
</div>

    <!-- If we need scrollbar -->
    <!--     <div class="swiper-scrollbar"></div> -->
  </div>
</div>
</div>

  <script>
          $(document).ready(function () {
    //initialize swiper when document ready  
    var mySwiper = new Swiper ('#slider_section .swiper-container', {
      // Optional parameters
      direction: 'horizontal', 
      loop: true,
      
      nextButton: '.swiper-button-next',
      prevButton: '.swiper-button-prev',
      // mousewheelControl: true,
      // keyboardControl: true,

        pagination: '.swiper-pagination',
        paginationClickable: true,
        spaceBetween: 0,
        autoplay: 4500,
        autoplayDisableOnInteraction: true,
        speed: 1400,
        slidesPerView:'auto',
        visibilityFullFit: true,
        autoResize: false,
        initialSlide : 2,
        loop : true,
        loopedSlides : 20,
    })        
  });
    </script>
