<?php
/**
 * Template Name: Contact Page
 *
 * @package luzuk Premium
 */
get_header(); 
?>

<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header" <?php  if (!empty($image)) : ?> style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;"<?php endif ?> >
    
    <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?>
    <div class="  container" >
        <div class="headinnbxmain">
            <div class="headinnbox">
                <div class="overlay1"></div>
                
                <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?> 
                <div class="breadcrumbbox ">
                    <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                    <div class="clearfix"></div>
                </div>
                
            </div>
        </div>
    </div>
    <?php endif ?>
    
    <div class="clearfix"></div>
</header>

<main id="innerpage-box" >
	<div class="contact-address-area">
		<div class="container">
			<div class="mainbx">
		    <?php 
		    	$contdetil = get_theme_mod('luzuk_contdetil', 'Contact Info');

		  		$phone = get_theme_mod('luzuk_contactus_phone', '+111 246 589 ,');
		  		$phone2 = get_theme_mod('luzuk_contactus_phone2', '+111 940 089');
		    	$email = get_theme_mod('luzuk_contactus_email', 'info@abcdfghmail.com');
				$address = get_theme_mod('luzuk_contactus_address', 'Add Address here..');
			?>
				<?php if( $contdetil || $phone || $phone2 || $email || $address ){ ?>
				<div class="cntlhsbx ">		
					<h1><?php echo $contdetil;?></h1>
	    			<?php if( $phone || $phone2 ){ ?>
			   		<div class="cntpgbx ">
			   			<div class="row mr-0">
				   			<div class="col-lg-1 col-md-1 col-sm-1 col-1 pd-0">
					   			<div class="cntpgicn f-icn">
					   				<i class="fa fa-phone" ></i> 
					   			</div>
					   		</div>
					   		<div class="col-lg-11 col-md-11 col-sm-11 col-11 cntpgtxt">
					   			<li><a class="" href="tel:<?php echo $phone;?>">
					   				<p><?php echo $phone;?></p>
					   			</a></li>
					   			<li><a class="" href="tel:<?php echo $phone2;?>">
					   				<p><?php echo $phone2;?></p>
					   			</a></li>
				   			</div>
				   		</div>
				   		<div class="clearfix"></div>
				   	</div>
					<?php } ?>	

					<?php if( $email ){ ?>
					<div class="cntpgbx ">
						<div class="row mr-0">
							<div class="col-lg-1 col-md-1 col-sm-1 col-1 pd-0">
					   			<div class="cntpgicn s-icn">
					   				<i class="fa fa-envelope" ></i>
					   			</div>
					   		</div>
					   		<div class="col-lg-11 col-md-11 col-sm-10 col-11 cntpgtxt">
					   			<a href="mailto:<?php echo $email;?>"><p><?php echo $email;?></p></a>
					   		</div>
					   	</div>
				   		<div class="clearfix"></div>
				   	</div>
					<?php } ?>	

					<?php if($address ){ ?>
					<div class="cntpgbx ">
						<div class="row mr-0">
							<div class="col-lg-1 col-md-1 col-sm-1 col-1 pd-0">
					   			<div class="cntpgicn t-icn">
					   				<i class="fa fa-map-marker" ></i>
					   			</div>
					   		</div>
					   		<div class="col-lg-11 col-md-11 col-sm-10 col-11 cntpgtxt">
					   			<p><?php echo $address;?></p>				   			
					   		</div>
					   	</div>
				   		<div class="clearfix"></div>
				   	</div>
					<?php } ?>
				 	<div class="clearfix"></div>
				</div>
				<?php } ?>	
				<div class="contform">
					<div class="contforminn">
						<div id="ht-contactus-wrap">
							<?php 
								$shortcodeLbl = get_theme_mod('luzuk_contactus_shortcode_lbl', 'Get In Touch');
								$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your form shortcode customizer');
								$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');
							?>
							<div class="contact-form">
								<?php if(!empty($shortcodeLbl )){ ?>
					                <div class="maintle inner-area-title"><?php echo $shortcodeLbl;?></div>	
					            <?php }?>
					                <div class="ctform">
										<?php echo do_shortcode($shortcode);?>
									</div>
									<div class="clearfix"></div>	
												
							</div>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
	  			<div class="clearfix"></div>
	  		</div>
		</div>
	</div>	
	<div class="contact-mapbox">
		<?php echo $iframe; ?>
	</div>
	<!-- <div class="container"> --> 
		
	<!-- </div> -->
	<div class="clearfix"></div>
</main>
<?php get_footer(); ?>